Firefox 3 does not know to use apturl for apturl: links

Bug #205104 reported by Ben Webb on 2008-03-22
16
Affects Status Importance Assigned to Milestone
apturl
Fix Released
Undecided
Unassigned

Bug Description

Firefox 3b4 knows to open apturl: but it does not know to use the /usr/bin/apturl program. This may be because it (firefox) is ignoring gnome-registry. Instead of working "out of the box" firefox asks which application to use. It is possible to browse to and select apturl, and it will work from then onwards, but this process will be off putting for new users.

Josh Ancill (mempf) wrote :

I can confirm this bug on multiple post-beta Hardy installations.

Changed in apturl:
status: New → Confirmed

I can confirm it also. By the way, what is the name of the installer? I can show firefox to use apt: protocol to use it.

Sorry, ignore my last question. Obviously it's apturl!

Confirmed. FF3b5 does the same thing. Prompts for application to be chosen.

Artem Popov (artfwo) wrote :

This bug bothers me no longer after a fresh hardy install.

It was fixed before hardy release.

Changed in apturl:
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers